#include <math.h>
#include <cmath>
#include <Core/CFMath.h>

namespace CFMath {

double sin(double x) {
    return ::sin(x);
}

float sin(float x) {
    return ::sin(x);
}

long double sin(long double x) {
    return ::sin(x);
}

double asin(double x) {
    return ::asin(x);
}

float asin(float x) {
    return ::asin(x);
}

long double asin(long double x) {
    return ::asin(x);
}

double cos(double x) {
    return ::cos(x);
}

float cos(float x) {
    return ::cos(x);
}

long double cos(long double x) {
    return ::cos(x);
}

double acos(double x) {
    return ::acos(x);
}

float acos(float x) {
    return ::acos(x);
}

long double acos(long double x) {
    return ::acos(x);
}

double tan(double x) {
    return ::tan(x);
}

float tan(float x) {
    return ::tan(x);
}

long double tan(long double x) {
    return ::tan(x);
}

double atan(double x) {
    return ::atan(x);
}

float atan(float x) {
    return ::atan(x);
}

long double atan(long double x) {
    return ::atan(x);
}

double atan2(double y, double x) {
    return ::atan2(y, x);
}

float atan2(float y, float x) {
    return ::atan2(y, x);
}

long double atan2(long double y, long double x) {
    return ::atan2(y, x);
}

double pow(double base, double exponent) {
    return ::pow(base, exponent);
}

float pow(float base, float exponent) {
    return ::pow(base, exponent);
}

long double pow(long double base, long double exponent) {
    return ::pow(base, exponent);
}

double pow(double base, int exponent) {
    return ::pow(base, exponent);
}

long double pow(long double base, int exponent) {
    return ::pow(base, exponent);
}

double sqrt(double x) {
    return ::sqrt(x);
}

float sqrt(float x) {
    return ::sqrt(x);
}

long double sqrt(long double x) {
    return ::sqrt(x);
}

double cbrt(double x) {
    return ::cbrt(x);
}

float cbrt(float x) {
    return ::cbrt(x);
}

long double cbrt(long double x) {
    return ::cbrt(x);
}

double ceil(double x) {
    return ::ceil(x);
}

float ceil(float x) {
    return ::ceil(x);
}

long double ceil(long double x) {
    return ::ceil(x);
}

double floor(double x) {
    return ::floor(x);
}

float floor(float x) {
    return ::floor(x);
}

long double floor(long double x) {
    return ::floor(x);
}

double round(double x) {
    return ::round(x);
}

float round(float x) {
    return ::round(x);
}

long double round(long double x) {
    return ::round(x);
}

double abs(double x) {
    return std::abs(x);
}

float abs(float x) {
    return std::abs(x);
}

long double abs(long double x) {
    return std::abs(x);
}

}  // namespace CFMath