// Copyright 2017, CDOS.
// All rights reserved.
//
// Author: CDOS Support Team <support_os@sari.ac.cn>
//
// Create widgets with a discrete toggle button.
#include "Gui/CFCheckButton.h"
#include <gtkmm.h>
#include <exception>
#include <iostream>

CF_NAMESPACE_BEGIN

CFCheckButton::CFCheckButton()
    : CFToggleButton() {
    setRealObject(new Gtk::CheckButton());
}

CFCheckButton::CFCheckButton(const Glib::ustring& label, bool mnemonic)
    : CFToggleButton(label, mnemonic) {
    setRealObject(new Gtk::CheckButton(label, mnemonic));
}

CFCheckButton::~CFCheckButton() {
    setRealObject(NULL);
}

void CFCheckButton::onRealObjectInit() {

}

void CFCheckButton::onRealObjectFinalize() {

}

CF_NAMESPACE_END
