// Copyright 2017, CDOS.
// All rights reserved.
//
// Author: CDOS Support Team <support_os@sari.ac.cn>
//
// CFGtkAdjument is a extends class for convert class.
#ifndef __CF_GTK_ADJUSTMENT_H__
#define __CF_GTK_ADJUSTMENT_H__

#include <gtkmm.h>
#include <Core/CFDefines.h>

CF_NAMESPACE_BEGIN

class CFGtkAdjustment : public Gtk::Adjustment {
public:
    virtual ~CFGtkAdjustment();
    CFGtkAdjustment(double value,
                    double lower,
                    double upper,
                    double step_increment = 1,
                    double page_increment = 10,
                    double page_size = 0);
};

CF_NAMESPACE_END

#endif  // __CF_GTK_ADJUSTMENT_H__
