#!/bin/bash

topHeaderDir="../Include"
targetHeader="$1/cdos-fw.h"
allHeaders=`find ${topHeaderDir} -type f -name "*.h" | sed -e "s/..\/Include\///g"`

echo '#ifndef __CDOS_FW_H__' > ${targetHeader}
echo '#define __CDOS_FW_H__' >> ${targetHeader}
echo "" >> ${targetHeader}
for item in ${allHeaders[@]} ; do
    echo "#include <$item>" >> ${targetHeader}
done
echo "" >> ${targetHeader}
echo '#endif // __CDOS_FW_H__' >> ${targetHeader}
