#!/bin/bash
PROJECT_PATH=`pwd`

echo "You need install clang-format in you system before run this script!"
echo "If you want format single file, please run: clang-format -i -std=file xxx.cpp(or xxx.h)"
echo "Check if .clang_format file exist"
if [ ! -f ${PROJECT_PATH}/.clang-format ]; then
  echo "you need run command:"
  echo "clang-format -style=llvm -dump-config > .clang-format"
  echo "more info can refer clang-format-YOUR_INSTALL_VERSION --help"
  exit 0;
fi

for DIRECTORY in ${PROJECT_PATH}/src
do
  find "$DIRECTORY" \( -name '*.h' -or -name '*.cpp' \) -print0 | xargs -0 clang-format -i
done
echo "Success!"
