#include "Gui/CFMisc.h"
#include "gtkextends/CFGtkMisc.h"
#include "CFConvertor.h"

CF_NAMESPACE_BEGIN

CFMisc::CFMisc()
    : CFWidget() {
    setRealObject(new CFGtkMisc());
}

CFMisc::~CFMisc() {
    setRealObject(NULL);
}

void CFMisc::setAlignment(float xalign, float yalign) {
    Gtk::Misc* obj = static_cast<Gtk::Misc*>(getObj());
    if (NULL != obj) {
        obj->set_alignment(xalign, yalign);
    }
}

void CFMisc::setAlignment(CFAlign xalign, CFAlign yalign) {
    Gtk::Misc* obj = static_cast<Gtk::Misc*>(getObj());
    if (NULL != obj) {
        obj->set_alignment(toGtkAlign(xalign), toGtkAlign(yalign));
    }
}

void CFMisc::getAlignment(float& xalign, float& yalign) {
    Gtk::Misc* obj = static_cast<Gtk::Misc*>(getObj());
    if (NULL != obj) {
        obj->get_alignment(xalign, yalign);
    }
}

void CFMisc::setPadding(int xpad, int ypad) {
    Gtk::Misc* obj = static_cast<Gtk::Misc*>(getObj());
    if (NULL != obj) {
        obj->set_padding(xpad, ypad);
    }
}
void CFMisc::getPadding(int& xpad, int& ypad) {
    Gtk::Misc* obj = static_cast<Gtk::Misc*>(getObj());
    if (NULL != obj) {
        obj->get_padding(xpad, ypad);
    }
}

CF_NAMESPACE_END
