#include "Gui/CFOverlay.h"
#include <gtkmm.h>

CF_NAMESPACE_BEGIN

CFOverlay::CFOverlay()
    : CFBin() {
    setRealObject(new Gtk::Overlay());
}

CFOverlay::~CFOverlay() {
    setRealObject(NULL);
}

void CFOverlay::addOverlay(CFWidget& widget) {
    Gtk::Overlay* obj = static_cast<Gtk::Overlay*>(getObj());
    Gtk::Widget* wobj = static_cast<Gtk::Widget*>(widget.getObj());
    if (NULL != obj && NULL != wobj) {
        obj->add_overlay(*wobj);
    }
}

CF_NAMESPACE_END
