#ifndef __CF_CONVERTOR_H__
#define __CF_CONVERTOR_H__

#include <Core/CFDefines.h>
#include "Gui/CFEnums.h"
#include <gtkmm.h>

CF_NAMESPACE_BEGIN

Gtk::Align toGtkAlign(CFAlign align);
CFAlign toCdosAlign(Gtk::Align align);

Gtk::WindowType toGtkWindowType(CFWindowType windowType);
CFWindowType toCdosWindowType(Gtk::WindowType windowType);

Gtk::Orientation toGtkOrientation(CFOrientation orientation);
CFOrientation toCdosOrientation(Gtk::Orientation orientation);

Gtk::ReliefStyle toGtkReliefStyle(CFReliefStyle reliefStyle);
CFReliefStyle toCdosReliefStyle(Gtk::ReliefStyle reliefStyle);

Gtk::StackTransitionType toGtkStackTransitionType(CFStackTransitionType transition);
CFStackTransitionType toCdosStackTransitionType(Gtk::StackTransitionType transition);

Gtk::PositionType toGtkPositionType(CFPositionType posType);
CFPositionType toCdosPositionType(Gtk::PositionType posType);

Gtk::BuiltinIconSize toGtkBuiltinIconSize(CFBuiltinIconSize iconSize);
CFBuiltinIconSize toCdosBuiltinIconSize(Gtk::BuiltinIconSize iconSize);

Gtk::Justification toGtkJustification(CFJustification jtype);
CFJustification toCdosJustification(Gtk::Justification jtype);

Gtk::CornerType toGtkCornerType(CFCornerType cornerType);
CFCornerType toCdosCornerType(Gtk::CornerType cornerType);

Gtk::PolicyType toGtkPolicyType(CFPolicyType policyType);
CFPolicyType toCdosPolicyType(Gtk::PolicyType policyType);

Gtk::ShadowType toGtkShadowType(CFShadowType shadowType);
CFShadowType toCdosShadowType(Gtk::ShadowType shadowType);

Gtk::PlacesOpenFlags toGtkPlacesOpenFlags(CFPlacesOpenFlags flags);
CFPlacesOpenFlags toCdosPlacesOpenFlags(Gtk::PlacesOpenFlags flags);

Gtk::SelectionMode toGtkSelectionMode(CFSelectionMode mode);
CFSelectionMode toCdosSelectionMode(Gtk::SelectionMode mode);

Gtk::PackDirection toGtkPackDirection(CFPackDirection direction);
CFPackDirection toCdosPackDirection(Gtk::PackDirection direction);

Gtk::SensitivityType toGtkSensitivityType(CFSensitivityType type);
CFSensitivityType toCdosSensitivityType(Gtk::SensitivityType type);

// Gtk::SomeType toGtkSomeType(CFSomeType type);
// CFSomeType toCdosSomeType(Gtk::SomeType type);

CF_NAMESPACE_END

#endif // __CF_CONVERTOR_H__
